org.apache.flume.serialization

## Class FlumeEventAvroEventSerializer

- java.lang.Object
- - org.apache.flume.serialization.AbstractAvroEventSerializer<Event>
  - - org.apache.flume.serialization.FlumeEventAvroEventSerializer

- All Implemented Interfaces:
    Configurable, EventSerializer

      public class FlumeEventAvroEventSerializer
      extends AbstractAvroEventSerializer<Event>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FlumeEventAvroEventSerializer.Builder`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.flume.serialization.EventSerializer

      `CTX_PREFIX`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Event` | `convert(Event event)` A no-op for this simple, special-case implementation
    `protected OutputStream` | `getOutputStream()` Returns the stream to serialize data into.
    `protected org.apache.avro.Schema` | `getSchema()` Returns the parsed Avro schema corresponding to the data being written and the parameterized type specified.

    - ### Methods inherited from class org.apache.flume.serialization.AbstractAvroEventSerializer

      `afterCreate, afterReopen, beforeClose, configure, flush, supportsReopen, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSchema

          protected org.apache.avro.Schema getSchema()

      Description copied from class: `AbstractAvroEventSerializer`
      Returns the parsed Avro schema corresponding to the data being written and the parameterized type specified.
      Specified by:
        `getSchema` in class `AbstractAvroEventSerializer<Event>`

    - #### getOutputStream

          protected OutputStream getOutputStream()

      Description copied from class: `AbstractAvroEventSerializer`
      Returns the stream to serialize data into.
      Specified by:
        `getOutputStream` in class `AbstractAvroEventSerializer<Event>`

    - #### convert

          protected Event convert(Event event)

      A no-op for this simple, special-case implementation
      Specified by:
        `convert` in class `AbstractAvroEventSerializer<Event>`
      Parameters:
        `event` -
      Returns:

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.